// creator  : weidu (version 144)
// argument : _KAGAIJ.DLG
// game     : .
// source   : ./override/_KAGAIJ.DLG
// dialog   : ./dialog.tlk
// dialogF  : (none)

BEGIN ~_KAGAIJ~

IF ~~ THEN BEGIN 0 // from:
  SAY @1404
  IF ~~ THEN REPLY @1405 JOURNAL @1406 GOTO 1
  IF ~~ THEN REPLY @1407 JOURNAL @1406 EXIT
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY @1408
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 2 // from:
  SAY @1409
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY @1410
  IF ~~ THEN DO ~LeaveParty()
SetDialogue("_KAGAIP")~ EXIT
END

IF ~GlobalTimerExpired("Kagain","GLOBAL")
Global("KagainCaravan","GLOBAL",0)~ THEN BEGIN 4 // from:
  SAY @1411
  IF ~~ THEN DO ~SetGlobalTimer("Kagain","GLOBAL",SEVEN_DAYS)
SetGlobal("KagainCaravan","GLOBAL",1)~ EXIT
END

IF ~GlobalTimerExpired("Kagain","GLOBAL")
Global("KagainCaravan","GLOBAL",1)~ THEN BEGIN 5 // from:
  SAY @1412
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()~ EXIT
END

IF ~Global("KagainCaravan","GLOBAL",2)~ THEN BEGIN 6 // from:
  SAY @1413
  IF ~~ THEN DO ~SetGlobal("KagainCaravan","GLOBAL",3)~ EXIT
END
